/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7DSDUB                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.convertor.snippet;

import com.ibm.productivity.tools.ui.ProductivityToolsUtil;
import com.sun.star.beans.UnknownPropertyException;
import com.sun.star.beans.XPropertySet;
import com.sun.star.bridge.BridgeExistsException;
import com.sun.star.bridge.XBridge;
import com.sun.star.bridge.XBridgeFactory;
import com.sun.star.connection.XConnection;
import com.sun.star.lang.WrappedTargetException;
import com.sun.star.lang.XMultiComponentFactory;
import com.sun.star.lang.XMultiServiceFactory;
import com.sun.star.uno.UnoRuntime;
import com.sun.star.uno.XComponentContext;

public class ServiceFactory {

	public static XMultiServiceFactory getServiceFactory() {
		XConnection conn = ProductivityToolsUtil.getUNOConnection();
		XBridge mBridge;
		try {
			XComponentContext _ctx = com.sun.star.comp.helper.Bootstrap
					.createInitialComponentContext(null);
			Object x = _ctx.getServiceManager().createInstanceWithContext(
					"com.sun.star.bridge.BridgeFactory", _ctx);
			XBridgeFactory xBridgeFactory = (XBridgeFactory) UnoRuntime
					.queryInterface(XBridgeFactory.class, x);
			//
			// create a nameless bridge with no instance provider
			//
			try {
				mBridge = xBridgeFactory.createBridge("SODC_Bridge", "urp",
						conn, null);
			} catch (BridgeExistsException beexp) {
				mBridge = xBridgeFactory.getBridge("SODC_Bridge");
			}
			// get the remote instance
			x = mBridge.getInstance("StarOffice.ServiceManager");
			//
			// Did the remote server export this object?
			if (null == x)
				return null;
			//
			// Query the initial object for its main factory interface
			//
			XMultiComponentFactory xOfficeMultiComponentFactory = (XMultiComponentFactory) UnoRuntime
					.queryInterface(XMultiComponentFactory.class, x);
			//
			// Retrieve the component context
			// Query on the XPropertySet interface.
			//
			XPropertySet xProperySet = (XPropertySet) UnoRuntime
					.queryInterface(XPropertySet.class,
							xOfficeMultiComponentFactory);
			//
			// Get the default context from the editor service.
			//
			Object oDefaultContext = null;
			try {
				oDefaultContext = xProperySet
						.getPropertyValue("DefaultContext");
			} catch (UnknownPropertyException e) {
				e.printStackTrace();
			} catch (WrappedTargetException e) {
				e.printStackTrace();
			}
			if (oDefaultContext == null)
				return null;
			XComponentContext context = (XComponentContext) UnoRuntime
					.queryInterface(XComponentContext.class, oDefaultContext);
			return (XMultiServiceFactory) UnoRuntime.queryInterface(
					XMultiServiceFactory.class, context.getServiceManager());
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}
}
