/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7DSDUB                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.customizing;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

import com.ibm.productivity.tools.samples.customizing.view.DescriptionView;
import com.ibm.productivity.tools.samples.customizing.view.OpenFilesView;
import com.ibm.productivity.tools.samples.customizing.view.WriterView;


public class Prespective implements IPerspectiveFactory {

	public static final String PERSPECTIVE_ID = "com.ibm.productivity.tools.samples.customizing.perspective";
	
    /* (non-Javadoc)
     * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
     */
    public void createInitialLayout( IPageLayout layout ) {
    	//set editor area to invisible so that the view shows maximized.
        layout.setEditorAreaVisible(false);
        
        //add the expeditor view to this perspective
        layout.addView(OpenFilesView.VIEW_ID, IPageLayout.LEFT, 0.25f, layout.getEditorArea());
        layout.addView(DescriptionView.VIEW_ID, IPageLayout.BOTTOM, 0.4f, OpenFilesView.VIEW_ID);
        layout.addView(WriterView.VIEW_ID, IPageLayout.RIGHT, 0.75f, layout.getEditorArea());                
    }

}
