/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7DSDUB                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.customizing.view;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.ui.part.ViewPart;

import com.ibm.productivity.tools.samples.customizing.util.CustomizingUtil;

public class OpenFilesView extends ViewPart {

	public static final String VIEW_ID = "com.ibm.productivity.tools.samples.customizing.openfilesview";
	
	public void createPartControl(Composite parent) {
		parent.setLayout(new GridLayout());
		
		Group group = new Group(parent, SWT.CENTER);
		group.setText("Create new Files");
		
		GridData gData = new GridData(GridData.CENTER | GridData.FILL_BOTH);
		group.setLayoutData(gData);
		
		GridLayout layout = new GridLayout();
		layout.numColumns = 2;
		group.setLayout(layout);
		
		GridData bBata = new GridData(GridData.CENTER);
		bBata.widthHint = 100;
		bBata.heightHint = 23;
		bBata.verticalIndent = 10;
		
		GridData lData = new GridData(GridData.CENTER);
		lData.horizontalIndent = 15;
		lData.widthHint = 90;
		lData.heightHint = 23;
		lData.verticalIndent = 16;
		
		Label documentsLable = new Label(group, SWT.NULL);
		documentsLable.setText("Documents:");		
		documentsLable.setLayoutData(lData);

		Button newWrite = new Button(group, SWT.PUSH);
		newWrite.setText("New");
		newWrite.setToolTipText("New a writedocument");
		newWrite.setLayoutData(bBata);
		newWrite.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				CustomizingUtil.newWriterView();
			}
		});
		
		Label spreadsheetsLable = new Label(group, SWT.NULL);
		spreadsheetsLable.setText("Spreadsheets:");
		spreadsheetsLable.setLayoutData(lData);
		
		Button newSpreadsheet = new Button(group, SWT.PUSH);
		newSpreadsheet.setText("New");
		newSpreadsheet.setToolTipText("new a spreadsheet");
		newSpreadsheet.setLayoutData(bBata);
		newSpreadsheet.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				CustomizingUtil.newSpreadsheetView();
			}
		});
		
		Label presentationsLable = new Label(group, SWT.NULL);
		presentationsLable.setText("Presentations:");
		presentationsLable.setLayoutData(lData);
		
		Button newPresentations = new Button(group, SWT.PUSH | SWT.CENTER);
		newPresentations.setText("New");
		newPresentations.setToolTipText("new a presentation");
		newPresentations.setLayoutData(bBata);
		newPresentations.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				CustomizingUtil.newPresentationView();
			}
		});
		
	}

	public void setFocus() {
		
	}
}
