/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7DSDUB                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.customizing.view;

import org.eclipse.swt.widgets.Composite;

import com.ibm.productivity.tools.samples.customizing.StatusbarItem;
import com.ibm.productivity.tools.ui.views.DefaultRichDocumentView;
import com.ibm.productivity.tools.ui.views.RichDocumentType;
import com.ibm.productivity.tools.ui.views.RichDocumentView;
import com.ibm.productivity.tools.ui.views.operations.Operation;
import com.ibm.productivity.tools.ui.views.operations.OperationFactory;
import com.ibm.productivity.tools.ui.views.operations.OperationListener;

public class SpreadsheetView extends DefaultRichDocumentView {

	public static final String VIEW_ID = "com.ibm.productivity.tools.samples.customizing.spreadsheetview";


	public void createPartControl(Composite parent) {	
		// must call super to create part control
		super.createPartControl(parent);			

		// add listener to udpate model
		addOperationListener(new OperationListener() {

			public void afterExecute(Operation operation, RichDocumentView view) {
				StatusbarItem.setText("Spreadsheet type");
			}

			public void beforeExecute(Operation operation, RichDocumentView view) {}			
		});

		executeOperation(OperationFactory.createNewOperation(RichDocumentType.SPREADSHEET_TYPE));
	}
}

