/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7DSDUB                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.views;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;



/**
 * Perspective class of writer editor sample
 *
 */
public class WriterPerspective implements IPerspectiveFactory {

	public static final String PERSPECTIVE_ID = "com.ibm.productivity.tools.samples.views.WriterPerspective";
	
    /* (non-Javadoc)
     * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
     */
    public void createInitialLayout( IPageLayout layout ) {
    	//set editor area to invisible so that our view can show maximized.
        layout.setEditorAreaVisible(false);
        
        //add our writer view to this perspective
        layout.addView(WriterView.VIEW_ID, IPageLayout.LEFT, 1f, layout.getEditorArea());
    }

}
