/* ***************************************************************** */
/*                                                                   */
/* Licensed Materials - Property of IBM                              */
/*                                                                   */
/* L-AENR-7DSDUB                                                     */
/*                                                                   */
/* Copyright IBM Corp. 2007, 2008  All Rights Reserved               */
/*                                                                   */
/* US Government Users Restricted Rights - Use, duplication or       */
/* disclosure restricted by GSA ADP Schedule Contract with           */
/* IBM Corp.                                                         */
/*                                                                   */
/* ***************************************************************** */

package com.ibm.productivity.tools.samples.views.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

import com.ibm.productivity.tools.samples.views.WriterView;
import com.ibm.productivity.tools.ui.views.operations.CloseOperation;
import com.ibm.productivity.tools.ui.views.operations.OperationFactory;

/**
 * Action to close the document
 *
 */
public class CloseAction extends Action implements IWorkbenchAction {

	private IWorkbenchWindow window;

	public CloseAction(IWorkbenchWindow window) {
		this.window = window;
	}

	public void dispose() {
		
	}

	public void run() {
		//find the demo view
		WriterView view = (WriterView) window.getActivePage().findView(WriterView.VIEW_ID);
		
		//execute the close operation
		view.executeOperation(OperationFactory.createCloseOperation(false));
	}

}
